Classes | UGens>Generators>Deterministic

# COsc : PureUGen : UGen : AbstractFunction : Object

Chorusing wavetable oscillator.
Source: Osc.sc
See also: Osc, OscN, VOsc, VOsc3

## Description

Chorusing wavetable lookup oscillator. Produces sum of two signals at(freq ± (beats / 2)).

Due to summing, the peak amplitude is not the same as the wavetable and can be twice of that.

## Class Methods

### COsc.ar(bufnum, freq: 440.0, beats: 0.5, mul: 1.0, add: 0.0)

### COsc.kr(bufnum, freq: 440.0, beats: 0.5, mul: 1.0, add: 0.0)

#### Arguments:

bufnum | The number of a buffer filled in wavetable format.
freq | Frequency in Hertz.
beats | Beat frequency in Hertz.
mul | Output will be multiplied by this value.
add | This value will be added to the output.

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

( b = Buffer.alloc(s, 512, 1, {arg buf; buf.sine1Msg(1.0/[1,2,3,4,5,6,7,8,9,10])}); { COsc.ar(b.bufnum, 200, 0.7, 0.25) }.play; )
helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/COsc.schelp
link::Classes/COsc::